package com.gihon.component.entity.rbac;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.gihon.component.entity.CompanyBaseEntity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 系统账号
 * @author baihe
 *
 */
@Setter
@Getter
@TableName("gihon_user")
public class GihonUser extends CompanyBaseEntity{

	@ApiModelProperty(value = "名称")
	private String nickName;
	
	@ApiModelProperty(value = "账号")
	private String username;
	
	@ApiModelProperty(value = "电话")
	private String telephone;
	
	@JsonIgnore
	@ApiModelProperty(value = "密码")
	private String password;
	
	/**
	 * @see com.gihon.component.enums.Gender
	 */
	@ApiModelProperty(value = "性别1男2女")
	private Integer gender;

	/**
	 * @see com.gihon.component.enums.Gender
	 */
	@ApiModelProperty(value = "是否是公司管理员")
	private Boolean companyAdmin = false;
}
