package com.gihon.component.response;

public enum ResponseStatus {

	SUCCESS(200, "成功"), 
	NO_DATA(202, "没有数据"),
	BUSINESS_ERROR(300, "业务错误"), // 业务错误 例 : 参数不匹配或参数验证不正确
	RESOURCE_ERROR(400, "资源错误"), // 资源不不存在
	LOGIN_ERROR(-1, "账号密码错误"), //
	VALIDCODE_ERROR(-2, "验证码错误"), //
	TOKEN_EXPIRED(-3, "Token已过期"), //
	REFRESH_TOKEN_EXPIRED(-4, "RereshToken已过期"), //
	VALID_ERROR(-5, "统一验证参数异常"), // 业务错误 例 : 参数不匹配或参数验证不正确
	PARAM_ERROR(-6, "参数类型解析异常"), 
	SQL_ERROR(-7, "SQL运行异常"), 
	UNAUTHORIATION(401, "未登录未经授权"),
	FORBIDDEN(403, "没有权限"),
	ERROR(500, "服务器错误");

    private String desc;
    
    private int code;

    ResponseStatus(int code, String desc) {
        this.desc = desc;
        this.code = code;
    }

    public String getDesc() {
        return desc;
    }

    public int getCode() {
        return code;
    }

}
