package com.gihon.component.rbac.controller;

import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gihon.component.response.Response;
import com.gihon.component.web.vo.LoginUser;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;

@Api(value ="人员模块" ,tags = "人员模块")
@Slf4j
@RestController
@RequestMapping("user")
public class UserController {

	@ApiOperation("USER:用户列表")
	@GetMapping("list")
	public Response<Void> list(@RequestBody LoginUser loginUser) {
		log.debug("用户列表:{}", loginUser.getUserAccount());
		return Response.ok();
	}
	@ApiOperation("USER:用户详情")
	@GetMapping("{id}")
	public Response<Void> list(@Validated @PathVariable Long id) {
		log.debug("用户列表:{}", id);
		return Response.ok();
	}
	
}
