package com.gihon.component.sso;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.data.redis.RedisRepositoriesAutoConfiguration;
import org.springframework.boot.autoconfigure.security.servlet.SecurityAutoConfiguration;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;
import org.springframework.context.annotation.ComponentScan;


/**
 * 单点登录
 * 
 * @author baihe
 *
 */
@MapperScan({"com.gihon.component.mapper"})
@ComponentScan(basePackages = {"com.gihon.component","com.gihon.component.sso"})
@SpringBootApplication(exclude = {SecurityAutoConfiguration.class,RedisRepositoriesAutoConfiguration.class })
public class SingleSignOnApp extends SpringBootServletInitializer {
	
	public static void main(String[] args) {
		SpringApplication app = new SpringApplication(SingleSignOnApp.class);
		app.run(args);
	}

	/**
	 * 部署在Web容器中,需要Servlet3.0
	 */
	@Override
	protected SpringApplicationBuilder configure(SpringApplicationBuilder builder) {
		return builder.sources(SingleSignOnApp.class);
	}
}
