package com.gihon.component.web.security;

import org.springframework.beans.factory.InitializingBean;
import org.springframework.security.authentication.AuthenticationProvider;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.AuthenticationException;

import com.gihon.component.web.service.SecurityTokenService;
/**
 * 当前包 用于开启SpringSecurity 使用
 * 否则 去掉 SpringSecurity的依赖或者 在 启动类生去掉SecurityAutoConfiguration
 * 例如:@SpringBootApplication(exclude = {SecurityAutoConfiguration.class })
 * @author baihe
 *
 */
public class GigonAuthenticationProvider implements AuthenticationProvider, InitializingBean {

    private SecurityTokenService tokenStore;

    @Override
    public void afterPropertiesSet() throws Exception {

    }

    @Override
    public Authentication authenticate(Authentication authentication) throws AuthenticationException {
        if (!supports(authentication.getClass())) {
            return null;
        }
        Authentication a = tokenStore.getAuthentication(authentication);
        return a;
    }

    @Override
    public boolean supports(Class<?> authentication) {
        return true;
    }
}
