package com.gihon.component.web.security;

import java.util.Collection;
import java.util.Iterator;

import org.springframework.security.access.AccessDecisionManager;
import org.springframework.security.access.AccessDeniedException;
import org.springframework.security.access.ConfigAttribute;
import org.springframework.security.access.SecurityConfig;
import org.springframework.security.authentication.InsufficientAuthenticationException;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.GrantedAuthority;
import org.springframework.security.core.authority.SimpleGrantedAuthority;

public class GihonAccessDecisionManager implements AccessDecisionManager {

    @Override
    public void decide(Authentication authentication, Object object, Collection<ConfigAttribute> configAttributes)
            throws AccessDeniedException, InsufficientAuthenticationException {
        if (configAttributes == null) {
            return;
        }

        Iterator<ConfigAttribute> it = configAttributes.iterator();
//		int i = 0;
        while (it.hasNext()) {
            ConfigAttribute ca = it.next();
            String needRole = ((SecurityConfig) ca).getAttribute();
            GrantedAuthority tg = new SimpleGrantedAuthority(needRole);
            if (authentication.getAuthorities().contains(tg)) {// 只要有一个角色符合即可排除PRE_LOGIN
                return;
            }
//			if(authentication.getAuthorities().contains(tg)){//全部的角色都要有
//				i++;
//			}
        }
//		if(i==configAttributes.size())
//			return;

        throw new AccessDeniedException("Acess Denied");

    }

    @Override
    public boolean supports(ConfigAttribute attribute) {
        return true;
    }

    @Override
    public boolean supports(Class<?> clazz) {
        return true;
    }

}
