package com.gihon.component.web.security;

import org.springframework.security.authentication.AbstractAuthenticationToken;
import org.springframework.security.core.userdetails.UserDetails;

public class GihonAuthentication extends AbstractAuthenticationToken {

    /**
     * 
     */
    private static final long serialVersionUID = 8379518510621745104L;

    private final Object principal;
    private final Object credentials;

    private final UserDetails userDeatail;

    public GihonAuthentication(Object aPrincipal, Object aCredentials, UserDetails userDeatail) {
        super(userDeatail.getAuthorities());
        this.principal = aPrincipal;
        this.credentials = aCredentials;
        this.userDeatail = userDeatail;
        setAuthenticated(true);
    }

    public GihonAuthentication(Object aPrincipal, Object aCredentials) {
        super(null);
        this.principal = aPrincipal;
        this.credentials = aCredentials;
        this.userDeatail = null;
    }

    @Override
    public Object getCredentials() {
        return credentials;
    }

    @Override
    public Object getPrincipal() {
        return principal;
    }

    public UserDetails getUserDeatail() {
        return userDeatail;
    }
}
